## Index

### Functions

- metadataForClass
- metadataForModel
- metadataForProperty

## Functions

### metadataForClass

- metadataForClass<T>(modelConstructor: ModelConstructor<T>): Metadata<T>

- - Defined in decorator/metadata/metadata-helper.ts:7

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelConstructor: ModelConstructor<T>

  #### Returns Metadata<T>

### metadataForModel

- metadataForModel<T>(modelConstructor: ModelConstructor<T>): ModelMetadata<T>

- - Defined in decorator/metadata/metadata-helper.ts:11

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelConstructor: ModelConstructor<T>

  #### Returns ModelMetadata<T>

### metadataForProperty

- metadataForProperty<T>(modelConstructor: ModelConstructor<T>, propertyKey: keyof T | string): PropertyMetadata<T> | null

- - Defined in decorator/metadata/metadata-helper.ts:26

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelConstructor: ModelConstructor<T>

  - ##### propertyKey: keyof T | string

    Either the name of the property or the name of the

  #### Returns PropertyMetadata<T> | null

Generated using TypeDoc